package types

import "time"

type Booking struct {
	Id                    string         `json:"id" bson:"_id"`
	GroupId               string         `json:"group_id" bson:"group_id"`
	DriverId              string         `json:"driver_id" bson:"driver_id"`
	PassengerId           string         `json:"passenger_id" bson:"passenger_id"`
	Status                string         `json:"status" bson:"status"`
	ReturnWaitingDuration time.Duration  `json:"return_waiting_duration" bson:"return_waiting_duration"`
	Data                  map[string]any `json:"data" bson:"data"`

	Journey *DriverJourney `json:"journey,omitempty" bson:"journey,omitempty"`
}
